All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Sqrt
Arithmetic Operations

Square root of each sample of a signal. More...

## Functions

NppStatus | nppsSqrt_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal square root. More...
NppStatus | nppsSqrt_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsSqrt_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal square root. More...
NppStatus | nppsSqrt_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength)
NppStatus | nppsSqrt_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit complex floating point signal square root. More...
NppStatus | nppsSqrt_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength)
NppStatus | nppsSqrt_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit complex floating point signal square root. More...
NppStatus | nppsSqrt_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength)
NppStatus | nppsSqrt_32f_I_Ctx (Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal square root. More...
NppStatus | nppsSqrt_32f_I (Npp32f *pSrcDst, int nLength)
NppStatus | nppsSqrt_64f_I_Ctx (Npp64f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal square root. More...
NppStatus | nppsSqrt_64f_I (Npp64f *pSrcDst, int nLength)
NppStatus | nppsSqrt_32fc_I_Ctx (Npp32fc *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit complex floating point signal square root. More...
NppStatus | nppsSqrt_32fc_I (Npp32fc *pSrcDst, int nLength)
NppStatus | nppsSqrt_64fc_I_Ctx (Npp64fc *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit complex floating point signal square root. More...
NppStatus | nppsSqrt_64fc_I (Npp64fc *pSrcDst, int nLength)
NppStatus | nppsSqrt_8u_Sfs_Ctx (const Npp8u *pSrc, Npp8u *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 8-bit unsigned char signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_8u_Sfs (const Npp8u *pSrc, Npp8u *pDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_16u_Sfs_Ctx (const Npp16u *pSrc, Npp16u *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit unsigned short signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_16u_Sfs (const Npp16u *pSrc, Npp16u *pDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_16s_Sfs_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_16s_Sfs (const Npp16s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_16sc_Sfs_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit complex signed short signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_16sc_Sfs (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_64s_Sfs_Ctx (const Npp64s *pSrc, Npp64s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 64-bit signed integer signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_64s_Sfs (const Npp64s *pSrc, Npp64s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_32s16s_Sfs_Ctx (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal square root, scale, then clamp to 16-bit signed integer saturated value. More...
NppStatus | nppsSqrt_32s16s_Sfs (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_64s16s_Sfs_Ctx (const Npp64s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 64-bit signed integer signal square root, scale, then clamp to 16-bit signed integer saturated value. More...
NppStatus | nppsSqrt_64s16s_Sfs (const Npp64s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_8u_ISfs_Ctx (Npp8u *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 8-bit unsigned char signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_8u_ISfs (Npp8u *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_16u_ISfs_Ctx (Npp16u *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit unsigned short signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_16u_ISfs (Npp16u *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_16s_ISfs_Ctx (Npp16s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_16s_ISfs (Npp16s *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_16sc_ISfs_Ctx (Npp16sc *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit complex signed short signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_16sc_ISfs (Npp16sc *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsSqrt_64s_ISfs_Ctx (Npp64s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 64-bit signed integer signal square root, scale, then clamp to saturated value. More...
NppStatus | nppsSqrt_64s_ISfs (Npp64s *pSrcDst, int nLength, int nScaleFactor)

## Detailed Description

Square root of each sample of a signal.

## Function Documentation

NppStatus nppsSqrt_16s_ISfs | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_16s_ISfs_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal square root, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_16s_Sfs | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal square root, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_16sc_ISfs | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_16sc_ISfs_Ctx | ( | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex signed short signal square root, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_16sc_Sfs | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_16sc_Sfs_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex signed short signal square root, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_16u_ISfs | ( | Npp16u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_16u_ISfs_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short signal square root, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_16u_Sfs | ( | const Npp16u * | pSrc,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_16u_Sfs_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short signal square root, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal square root.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal square root.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex floating point signal square root.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_32fc_I | ( | Npp32fc * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_32fc_I_Ctx | ( | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex floating point signal square root.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_32s16s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_32s16s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal square root, scale, then clamp to 16-bit signed integer saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal square root.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal square root.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit complex floating point signal square root.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_64fc_I | ( | Npp64fc * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsSqrt_64fc_I_Ctx | ( | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit complex floating point signal square root.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_64s16s_Sfs | ( | const Npp64s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_64s16s_Sfs_Ctx | ( | const Npp64s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit signed integer signal square root, scale, then clamp to 16-bit signed integer saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_64s_ISfs | ( | Npp64s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_64s_ISfs_Ctx | ( | Npp64s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit signed integer signal square root, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_64s_Sfs | ( | const Npp64s * | pSrc,
|  | Npp64s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_64s_Sfs_Ctx | ( | const Npp64s * | pSrc,
|  | Npp64s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit signed integer signal square root, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_8u_ISfs | ( | Npp8u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_8u_ISfs_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char signal square root, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSqrt_8u_Sfs | ( | const Npp8u * | pSrc,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsSqrt_8u_Sfs_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char signal square root, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation